## org.codehaus.groovy.grails.web.mapping
Interface UrlMappingParser

All Known Implementing Classes:
  DefaultUrlMappingParser

    public interface UrlMappingParser

Parses a Grails URL mapping into a UrlMappingData object that holds various information about the mapping

A Grails URL pattern is not a regex, but is an extension to the form defined by Apache Ant and used by Spring AntPathMatcher. Unlike regular Ant paths Grails URL patterns allow for capturing groups in the form:

`/blog/(*)/**`

The parenthesis define a capturing group. This implementation transforms regular Ant paths into regular expressions that are able to use capturing groups

Since:
  0.5

  Created: Mar 5, 2007 Time: 7:42:09 AM
Author:
  Graeme Rocher

Method Summary
`UrlMappingData` `parse(String url)` Parses the given URI pattern into a UrlMappingData instance

Method Detail

### parse

    UrlMappingData parse(String url)

  Parses the given URI pattern into a UrlMappingData instance

  Parameters:
    `url` - The URL pattern to parse
  Returns:
    The UrlMappingData instance

Copyright (c) 2005-2009 The Grails project